<link rel="stylesheet" href="/_merged_assets/_static/noscript.css">
Atom Community Logo Atom Community API Getting Started Toggle darkmode

Getting Started

So far, there have been a few features from the original atom-ide-ui package that have been created as individual packages. Here are the steps required to start using IDE features in your Atom Text Editor using the new community packages.

  1. Install an IDE language package that you would like to use:
  • TypeScript & JavaScript ide-typescript

  • HTML ide-html

  • CSS, LESS, SCSS ide-css

  • Python ide-python

  • Rust ide-rust

  • You can also search for packages in Atom.

    IMPORTANT: When you are asked if you want to install the atom-ide-ui dependency by one of those packages, you usually can deny doing so

    HINT: some of these packages also require you to install additional tools on your computer, such as the ide-rust package requires a current rls toolchain, or python the python-language-server package. Please check the installation instruction of the ide-packages for more details on the requiremens.

  1. Install the Busy-Signal package that is uses by some of the existing ide-packages to show running background tasks

  2. Install any of the community packages listed below.

  3. Enjoy!